local _f_remove = CriminalsManager._remove
function CriminalsManager:_remove(id)
    local char_data = self._characters[id]

    if char_data and char_data.name then
        local teammate = CSHUD:GetTeammate(char_data.name)
        local panel = teammate and teammate.panel or 0
        if teammate then
            if not teammate.local_player then -- Local player (you) shouldn't be removed. They are removed when you disconnect from the game
                CSHUD:RemoveTeammate(char_data.name)
            end
            if managers.hud then
                managers.hud:ChangeManiacVisibility(CSHUD:IsManiacPresent())
                if not teammate.local_player then
                    if panel and panel ~= 0 then
                        managers.hud._stats_screen_new:Remove(panel)
                        managers.hud:UnregisterPlayer()
                    end
                end
            end
        end
    end

    _f_remove(self, id)
end