if CSHUD:IsVROrComponentIsDisabled() then
    function HUDHeistTimer:SetBombIconVisible(visible)
    end
    return
end

local _f_init = HUDHeistTimer.init
function HUDHeistTimer:init(hud, tweak_hud)
    _f_init(self, hud, tweak_hud)
    self._heist_timer_panel:child("timer_text"):hide()
    local panel = managers.hud._teammate_panels[HUDManager.PLAYER_PANEL]._csgo -- messy
    local y = nil
    if CSHUD:GetOption("cs_hud") == 1 then
        y = 4
    else
        y = CSHUD:ComputeEdgeY(panel:h(), CSHUD:GetOption("avatar_time_panel_position") == 1 and 4 or panel:h() - 40)
    end
    self._timer_text = panel:text({
        name = "timer_text",
        vertical = "top",
        word_wrap = false,
        wrap = false,
        font_size = 28,
        align = "center",
        text = "00:00",
        layer = 1,
        font = tweak_data.csgo.fonts.numbers.font,
        color = Color.white,
        y = y,
        visible = not tweak_hud.no_timer
    })
    self._bomb_icon = panel:bitmap({
        name = "bomb_icon",
        texture = "guis/textures/pd2_hud_cs/bomb_icon",
        y = y - 2,
        vertical = "top",
        align = "center",
        visible = false,
        color = Color(1, 0, 0),
        w = 48,
        h = 48
    })
    self._bomb_icon:set_left(panel:child("avatar"):right() + 14)
    self._bomb_icon_stripes = panel:bitmap({
        name = "bomb_icon",
        texture = "guis/textures/pd2_hud_cs/bomb_icon_stripes",
        y = self._bomb_icon:y(),
        x = self._bomb_icon:x(),
        vertical = "top",
        align = "center",
        visible = false,
        color = Color(1, 0.5, 0.5),
        w = self._bomb_icon:w(),
        h = self._bomb_icon:h()
    })
end

function HUDHeistTimer:SetBombIconVisible(visible)
    local bomb_icon = self._bomb_icon
    local bomb_stripes = self._bomb_icon_stripes
    if visible then
        self._timer_text:set_visible(false)
        bomb_icon:set_visible(true)
        bomb_stripes:set_visible(true)
        bomb_icon:stop()
        bomb_icon:animate(function(o)
            local t
            while true do
                t = 0
                while t <= 0.5 do
                    t = t + coroutine.yield()
                    o:set_color(Color(1, t, t))
                    bomb_stripes:set_color(Color(1, 0.5 - t, 0.5 - t))
                end
                t = 0.5
                while t >= 0 do
                    t = t - coroutine.yield()
                    o:set_color(Color(1, t, t))
                    bomb_stripes:set_color(Color(1, 0.5 - t, 0.5 - t))
                end
            end
        end)
    else
        bomb_icon:stop()
        bomb_icon:animate(function(o)
            bomb_stripes:set_visible(false)
            bomb_stripes:set_color(Color(1, 0.5, 0.5))
            o:set_color(Color.green)
            wait(3)
            o:set_visible(false)
            o:set_color(Color(1, 0, 0))
            self._timer_text:set_visible(true)
        end)
    end
end