if CSHUD:IsVROrComponentIsDisabled() then
    return
end

local _f_init = HUDTemp.init
function HUDTemp:init(hud)
    _f_init(self, hud)

    self._csgo = CSHUD:CreatePanel("csgo_carry")

    self._carry_text = self._csgo:text({
        layer = 1,
        name = "bag_text",
        align = "right",
		vertical = "center",
		font_size = 24,
		text = "",
		font = "fonts/font_medium_mf",
		y = 0,
		x = 0,
		valign = "center",
        color = Color.white,
        alpha = 0,
        visible = true
    })
    managers.hud:make_fine_text(self._carry_text)

    self:Align()
end

function HUDTemp:Align()
    self._weapons_right = CSHUD:ComputeEdgeX(self._csgo:w(), self._csgo:w() - 32)
    self._carry_text:set_right(self._weapons_right)
    self._carry_text:set_bottom(CSHUD:ComputeEdgeY(self._csgo:h(), tweak_data.csgo.position.equipment_top + CSHUD:ReturnResYDifferenceAbove1080() - 50, CSHUD.Enum.Position.Bottom))
end

function HUDTemp:set_throw_bag_text()
end

function HUDTemp:show_carry_bag(carry_id, value)
	local carry_data = tweak_data.carry[carry_id]
	local type_text = carry_data.name_id and managers.localization:text(carry_data.name_id) or ""

	local carrying_text = managers.localization:text("hud_carrying")

    self._carry_text:set_text(utf8.to_upper(carrying_text .. "\n" .. type_text))
    managers.hud:make_fine_text(self._carry_text)
    self._carry_text:set_right(self._weapons_right)
    self._carry_text:stop()
    self._carry_text:animate(callback(CSAnimation, CSAnimation, "SetAlpha"), 1)
end

function HUDTemp:hide_carry_bag()
    self._carry_text:stop()
    self._carry_text:animate(callback(CSAnimation, CSAnimation, "SetAlpha"), 0)
end