local CSHUD = CSHUD
local original =
{
    at_exit = IngameWaitingForPlayersState.at_exit
}
function IngameWaitingForPlayersState:at_exit(next_state)
    if not Global.hud_disabled then
        CSHUD._ws:panel():set_alpha(0)
        CSHUD._ws:show()
    end
    original.at_exit(self, next_state)
    CSHUD._ws:panel():set_alpha(1)
    if not _G.IS_VR then
        local panels = managers.hud._teammate_panels or {}
        local t = panels[HUDManager.PLAYER_PANEL]
        t:RefreshWeaponTextures() -- Update weapon textures before the HUD is visible
        if self:check_is_dropin() then -- Drop-in, refresh the avatars
            local function f()
                for _, panel in pairs(panels) do
                    panel:SetDefaultAvatar()
                    if panel._ai then
                        panel:SetBotAvatar()
                    else
                        CSHUD:SetAvatar(panel._main_player, panel._peer_id, callback(panel, panel, "SetAvatar"))
                    end
                end
            end
            CSHUD:DelayCall("DelayAvatarRefresh", 2, f)
        else
            CSHUD:SetAvatar(true, nil, callback(t, t, "SetAvatar"))
        end
        if false then --if CSHUD:GetOption("random_position_on_hud") then
            local p = {}
            for k, v in ipairs(panels) do
                if v._csgo:visible() then
                    p[#p + 1] = k
                end
            end
            if #p == 0 then
                return
            end
            local i
            for _, v in ipairs(panels) do
                i = math.random(#p)
                v:SetPanelX(p[i])
                table.remove(p, i)
            end
        end
        local enemy_score = managers.job:get_memory("CSHUD_EnemyScore")
        if enemy_score then -- First start of the job -> no loss
            managers.hud._hud_score:SetEnemyScore(enemy_score)
        end
    end
end