local CS = CSHUD
if CS._hooks.TeamAIDamage then
    return
else
    CS._hooks.TeamAIDamage = true
end

local original =
{
    _apply_damage = TeamAIDamage._apply_damage,
    _regenerated = TeamAIDamage._regenerated
}

function TeamAIDamage:SetPanel(p_id)
    self._panel_id = p_id
end

function TeamAIDamage:_apply_damage(...)
    local damage_percent, health_subtracted = original._apply_damage(self, ...)
    managers.hud:set_teammate_health(self._panel_id, { current = self._health, total = self._HEALTH_INIT })
    return damage_percent, health_subtracted
end

function TeamAIDamage:_regenerated(...)
    original._regenerated(self, ...)
    managers.hud:set_teammate_health(self._panel_id, { current = self._health, total = self._HEALTH_INIT })
end