-- Texture Rect:
-- {x, y, w, h}
tweak_data.csgo =
{
    textures =
    {
        faction =
        {
            texture = "guis/textures/pd2_hud_cs/factions",
            t =
            {
                circle = {84, 84, 84, 84},
                square = {84, 0, 84, 84}
            },
            ct =
            {
                circle = {0, 84, 84, 84},
                square = {0, 0, 84, 84}
            }
        },
        icon =
        {
            t = "guis/textures/pd2_hud_cs/t_icon",
            ct =  "guis/textures/pd2_hud_cs/ct_icon"
        },
        frame = "guis/textures/pd2_hud_cs/csgo/frame",
        stats_screen =
        {
            texture = "guis/textures/pd2_hud_cs/stats_screen",
            ping = {0, 0, 48, 49},
            speaker = {0, 49, 98, 83}
        },
        assault_panel =
        {
            texture = "guis/textures/pd2_hud_cs/assault_panel",
            assault = {0, 0, 32, 32},
            stealth = {0, 32, 32, 32}, -- Casing Mode
            noreturn = {32, 0, 32, 32}
        }
    },
    colors =
    {
        t = Color(255, 234, 209, 138) / 255, -- Yellow
        t_dark = Color(255, 173, 135, 31) / 255,
        ct = Color(255, 181, 212, 238) / 255, -- Blue
        ct_dark = Color(255, 181, 212, 238) / 255,
        gray = Color(255, 204, 200, 215) / 255,
        bar_bg = Color(255, 128, 128, 128) / 255, -- Gray
        panel_stoic = Color(255, 255, 140, 0) / 255, -- Orange
        panel_bg = Color(64, 184, 184, 184) / 255,
        text_color = Color(255, 163, 176, 184) / 255 -- Grayish
    },
    position =
    {
        equipment_top = 367
    },
    perk_deck =
    {
        ["13"] = -- Ex-President
        {
            texture = "guis/textures/pd2/specialization/icons_atlas"
        }
    },
    fonts =
    {
        numbers =
        {
            font = "guis/fonts/pd2_hud_cs/stratum2bold",
            font_size = 30
        },
        verdana =
        {
            font = "guis/fonts/pd2_hud_cs/verdana",
            font_size = 30
        }
        --[[verdanab =
        {
            font = "guis/fonts/pd2_hud_cs/verdanab",
            font_size = 30
        }]]
    },
    killfeed =
    {
        ct = Color(255, 111, 156, 230) / 255,
        t = Color(255, 234, 190, 84) / 255,
        texture = "guis/textures/pd2_hud_cs/killfeed",
        headshot = {0, 0, 32, 32},
        fire = {32, 0, 46, 32},
        wall = {0, 32, 32, 32},
        suicide = {32, 32, 32, 32},
        noscope = {0, 64, 32, 32},
        explosion = {32, 64, 32, 32},
        onscreen = 5,
        other_player = 1,
        local_player = 1.5
    }
}