function CSHUD:LoadDefaultValues()
    self.settings =
    {
        -- Unused
        mod_language = 1,

        -- Green (Default)
        hud_color =
        {
            r = 0,
            g = 255,
            b = 0
        },

        -- 1: CS2
        -- 2: CS:GO
        cs_hud = 1,

        -- 1: Weapon Rarity Color
        -- 2: Weapon Skin
        weapon_skin = 1,

        -- 1: Top
        -- 2: Bottom
        avatar_time_panel_position = 1,

        -- 1: Percent
        -- 2: Raw
        format_values = 1,

        -- True: Shows Bots Avatar
        -- False: Shows Faction Icon
        bot_avatar = false,

        -- 1: Fully visible
        -- 0.5: Halfway visible/hidden
        -- 0: Fully hidden
        panel_bg_alpha = 1,

        -- True: Randomly place avatars on the HUD
        -- False: Avatars are not randomly placed
        random_position_on_hud = false,

        -- True: Show HP and AP bars
        -- False: Hide HP and AP bars
        health_armor_style = 1,

        -- True: Radio annoucements will play during/at the mission end
        -- False: Radio annoucements will not play during/at the mission end
        play_sounds = true,

        -- Position from the edge
        -- 1 - Maximum
        -- 0.75 - Minimum
        hud_edge_position_x = 1,
        hud_edge_position_y = 1,

        -- True: At the mission end, announce the winning faction
        -- False: Don't announce the winning faction
        announce_winning_faction = true,

        -- True: At the mission end, one random stat is selected and player associated with that stat is announced as MVP (Heist must be completed successfully)
        -- False: Don't announce MVP
        announce_mvp = true,

        -- True: At the mission end, announce random fun fact
        -- False: Don't announce fun fact
        announce_funfact = true,

        -- 1: Show All
        -- 2: Hide All
        -- 3: Show only friends
        hide_avatar_images = 1,

        steam_avatar_compatibility = false,

        components =
        {
            -- True: CS:GO chat is enabled
            -- False: CS:GO chat is disabled
            chat = true,

            -- True: CS:GO Assault Panel is enabled
            -- False: CS:GO Assault Panel is disabled
            assault_panel = true,

            -- True: Gage Assignment Panel is enabled
            -- False: Gage Assignment Panel is disabled
            gage = true,

            -- True: Interaction is enabled
            -- False: Interaction is disabled
            interaction = true,

            -- True: Killfeed is enabled
            -- False: Killfeed is disabled
            killfeed = true
        },

        -- Various HUD changes when certain mods are installed
        mod =
        {
            -- Better Assault Indicator
            bai =
            {
                -- True: Announce 'Bomb has been planted' when endless assault has been triggered
                -- False: Don't announce
                bomb_on_endless = true
            }
        }
    }
end