CSHUD:Hook(CivilianDamage, "_on_damage_received", function(self, damage_info)
    local attacker_unit = damage_info and damage_info.attacker_unit

    local no_civilian_penalty = tweak_data.character[self._unit:base()._tweak_table].no_civ_penalty

    if damage_info.result.type == "death" and attacker_unit == managers.player:player_unit() and not no_civilian_penalty then
        managers.hud:CivilianKilled()
    end

    if attacker_unit and not no_civilian_penalty then
        local peer_id = managers.criminals:character_peer_id_by_unit(attacker_unit) or -1
        local kills = CSHUD.FunFacts.CivilianKills[peer_id] or 0
        CSHUD.FunFacts.CivilianKills[peer_id] = kills + 1
    end
end)

if CSHUD:IsKillfeedEnabled() then
    CSHUD:PreHook(CivilianDamage, "_on_damage_received", function(self, damage_info)
        if damage_info.result.type == "death" and not tweak_data.character[self._unit:base()._tweak_table].no_civ_penalty then
            managers.hud:AddFeedToKillFeed(self._unit, "civilian", "civilian", damage_info)
        end
    end)
end