if CSHUD:IsVROrComponentIsDisabled() or (CSHUD:GetOption("avatar_time_panel_position") == 2 and CSHUD:GetOption("cs_hud") == 2) then
    return
end

local original =
{
    at_enter = IngameMaskOffState.at_enter,
    at_exit = IngameMaskOffState.at_exit
}

local playing_at_moved = false

function IngameMaskOffState:at_enter(...)
    original.at_enter(self, ...)
    local hud = managers.hud
    if hud:alive(self._MASK_OFF_HUD) then
        local text = hud:script("guis/mask_off_hud").mask_on_text
		text:set_y(text:y() + 16)
        local playing_at = hud._teammate_panels[HUDManager.PLAYER_PANEL]._csgo:child("playing_on")
        playing_at:set_y(playing_at:y() + 32)
        playing_at_moved = true
    end
end

function IngameMaskOffState:at_exit(...)
    original.at_exit(self, ...)
    if playing_at_moved then -- In case it fails
        local hud = managers.hud
        local playing_at = hud._teammate_panels[HUDManager.PLAYER_PANEL]._csgo:child("playing_on")
        playing_at:set_y(playing_at:y() - 32)
        playing_at_moved = false
    end
end