local _f_at_enter = IngameWaitingForRespawnState.at_enter
function IngameWaitingForRespawnState:at_enter(...)
    _f_at_enter(self, ...)
    managers.hud:CustodyTeammatePanelsVisible(true)
    managers.hud:SetCustody(HUDManager.PLAYER_PANEL, true)
end

local _f_at_exit = IngameWaitingForRespawnState.at_exit
function IngameWaitingForRespawnState:at_exit(...)
    _f_at_exit(self, ...)
    managers.hud:CustodyTeammatePanelsVisible(false)
    managers.hud:set_custody_can_be_trade_visible(false) -- Fixes "You can be traded!" UI bug
    managers.hud:SetCustody(HUDManager.PLAYER_PANEL, false)
end

local _f_watch_priority_character = IngameWaitingForRespawnState.watch_priority_character
function IngameWaitingForRespawnState:watch_priority_character(...)
    _f_watch_priority_character(self, ...)
    managers.hud:CustodyTeammatePanelsWatchingTeammate(self._spectator_data.watch_u_key)
end

local _f_cb_next_player = IngameWaitingForRespawnState.cb_next_player
function IngameWaitingForRespawnState:cb_next_player(...)
    _f_cb_next_player(self, ...)
    local watch_u_key = self._spectator_data.watch_u_key
	if not watch_u_key then
		return
	end
    managers.hud:CustodyTeammatePanelsWatchingTeammate(watch_u_key)
end

local _f_cb_prev_player = IngameWaitingForRespawnState.cb_prev_player
function IngameWaitingForRespawnState:cb_prev_player(...)
    _f_cb_prev_player(self, ...)
    local watch_u_key = self._spectator_data.watch_u_key
	if not watch_u_key then
		return
    end
    managers.hud:CustodyTeammatePanelsWatchingTeammate(watch_u_key)
end