function UnitNetworkHandler:sync_delayed_damage_hud(delayed_damage, sender)
end

function UnitNetworkHandler:sync_grenades_cooldown(end_time, duration, sender)
end

if CSHUD:IsKillfeedEnabled() then
    local damage_bullet = UnitNetworkHandler.damage_bullet
    function UnitNetworkHandler:damage_bullet(subject_unit, attacker_unit, damage, i_body, height_offset, variant, death, sender, ...)
        if death and subject_unit and alive(subject_unit) then
            local base = subject_unit:base()
            if base and base.has_tag and base:has_tag("special") then
                local c_damage = subject_unit:character_damage()
                local body = subject_unit:body(i_body)
                local hs = c_damage._head_body_name and body and body:name() == c_damage._ids_head_body_name
                if hs then
                    managers.hud._killfeed:CacheHeadshot(tostring(subject_unit:key()))
                end
            end
        end
        damage_bullet(self, subject_unit, attacker_unit, damage, i_body, height_offset, variant, death, sender, ...)
    end
end